/// <reference types="react" />
import * as React from 'react';
export declare type SuppliedProps = {
    _form: string;
};
export declare type InputProps = {
    form?: string;
};
export declare type WrappedField<T> = React.ComponentClass<T & SuppliedProps>;
export declare type Connected<T> = React.SFC<T> & {
    WrappedComponent?: React.ComponentClass<T>;
};
export default function connectField<T>(Wrapped: React.ComponentClass<T & SuppliedProps>): Connected<T & InputProps>;
